--- title: "Get operating system type (G3)" slug: "cdss-getclusterserverimagelist" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/cdss-getclusterserverimagelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get operating system type (G3) Available in VPC Get available operating system types. Note This is a dedicated API for third-generation servers of the KVM hypervisor type. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/cluster/getClusterServerImageList (Korea Region) | | GET | /api/sgn-v1/cluster/getClusterServerImageList (Singapore Region) | | GET | /api/jpn-v1/cluster/getClusterServerImageList (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `generationCode` | String | Optional | Server generation code - `G3`: 3rd generation (valid value) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getClusterServerImageList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.serverImageList` | Array | - | Operating system type list: [serverImageList](/docs/en/cdss-getclusterserverimagelist#serverImageList) | | `requestId` | String | - | ID for the request - UUID format | #### `serverImageList` The following describes `serverImageList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serverImageNo` | Integer | - | Operating system registration number | | `softwareProductCode` | String | - | Operating system type code | | `serverName` | String | - | Operating system version name | Note `order` may be displayed in the response results, but they are not fields that users should refer to. ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "serverImageList": [ { "serverImageNo": 3188144, "softwareProductCode": "SW.VCDSS.OS.LNX64.CNTOS.07.G003", "order": 2, "serverName": "centos-7.8-cdss" }, { "serverImageNo": 100059417, "softwareProductCode": "SW.VCDSS.OS.LNX64.ROCKY.08.G003", "order": 3, "serverName": "Rocky Linux 8" } ] }, "requestId": "c580da21-****-****-****-f2a2cd556ce5" } ```